CREATE OR REPLACE TYPE SVCO.DDL_CHANGE_MSG_TYP AS OBJECT
(
  db_user    varchar2(30),
  obj_owner  varchar2(30),
  obj_name   varchar2(255),
  obj_type   varchar2(30),
  ddl_type   varchar2(30),
  ddl_stmt   varchar2(4000),
  os_user    varchar2(30),
  machine    varchar2(64),
  ip_address varchar2(30),
  module     varchar2(48)
)
/